ArchLinux 安装简明教程(二)

以下内容大多来自 传送门,并根据其它资料以及自己的实际进行了修改整理,感谢原作者无私分享。

桌面环境配置

  • 安装完成后开始添加用户:
    # useradd -m xiaoze //使用-m参数在创建用户的同时创建该用户的home目录

  • 设置用户的密码:
    # passwd xiaoze

  • 安装sudo让普通用户执行root命令:
    # pacman -S sudo
    # vim /etc/sudoers //编辑sudoers文件让普通用户能够以root权限执行命令

  • 安装中文字体:
    # pacman -S wqy-zenhei wqy-microhei //记住不要手贱去装wqy-microhei-lite这个字体包,会造成Netbeans中使用文泉驿等宽微米黑字体时空格变成口口

  • 安装等宽字体:
    # pacman -S ttf-dejavu //没有此字体,会使某些符号不够漂亮,建议在安装桌面环境时选择此字体作为桌面环境的默认依赖字体
    # pacman -S adobe-source-code-pro-fonts //adobe出品的一款很适合编程的等宽字体

  • 安装基本的图形环境以及驱动程序:
    # pacman -S xorg-server xorg-xinit xorg-utils xorg-server-utils //不必完整安装xorg包组,只需安装核心组件即可!
    # pacman -S mesa // 添加3D支持,上一个命令会自动安装
    # pacman -S xf86-video-ati //安装开源显卡驱动,或者安装闭源驱动catalyst,这是AMD的显卡驱动
    # pacman -S xf86-input-synaptics //安装触摸板驱动

    安装显卡驱动技巧
    ------------------------------
    确定显卡型号:
    $ lspci | grep VGA
    对应驱动包:
    Intel 显卡:xf86-video-intel
    nVidia 显卡:
    GeForce 7 以上:xf86-video-nouveau;nvidia
    GeForce 6/7:xf86-video-nouveau;nvidia-304xx
    AMD/ATI 显卡:
    开源驱动:xf86-video-ati
    安装驱动:
    #  pacman -S <驱动包>
    
  • 桌面环境的基本配置
    Arch Linux 有许多桌面环境可供选择:
    Cinnamon:GNOME 3的分支,提供了类似GNOME 2,但独特的用户体验。
    # pacman -S cinnamon
    Enlightenment:提供了高效且美观的窗口管理器。拥有美观界面的同时依然能够在旧机器上流畅运行。
    # pacman -S enlightenment17
    GNOME:传统的桌面环境,提供了许多方便的功能,外观上较接近MacOS X。
    # pacman -S gnome
    安装附加功能:
    # pacman -S gnome-extra
    KDE:拥有漂亮的界面,外观上较接近Windows。有着较高的可定制性,由非常多的独立软件组成。提供了如此多功能的同时不免显得臃肿。
    # pacman -S kde
    最简安装(仅安装基础模块):
    # pacman -S kdebase
    安装简体中文语言包:
    # pacman -S kde-l10n-zh_cn
    LXDE:轻量级桌面环境,消耗较少资源(CPU、内存),也同时较省电。
    # pacman -S lxde
    Xfce:又一个轻量级桌面环境,注重模块化和复用性。
    # pacman -S xfce4
    安装附加功能:
    # pacman -S xfce4-goodies

  • 安装KDE桌面环境:
    # pacman -S kdebase kdeadmin kdenetwork kdegraphics kdemultimedia kdepim kdesdk kdewebdev kdeutils //不推荐完整安装kde,会附带许多根本用不到的kdegames以及kdeedu、kdeartwork(桌面主题)、kdeplasma-addons(附加组件)、 kdeaccessibility(残障人士辅助工具),但是也不能像wiki说的那样只安装一个kdebase,那样根本无法启动kde桌面环境,KDE桌面环境推荐使用vlc作为后端解码器

  • 建议安装KDE桌面环境时安装虚包(meta/包指针),这样能够及时更新包组中的成员:
    # pacman -S kde-meta1) kde-meta-kdeaccessibility 2)kde-meta-kdeadmin 3)kde-meta-kdeartwork 4)kde-meta-kdebase 5)kde-meta-kdeedu 6)kde-meta-kdegames7)kde-meta-kdegraphics 8)kde-meta-kdemultimedia 9)kde-meta-kdenetwork10)kde-meta-kdepim 11)kde-meta-kdeplasma-addons 12)kde-meta-kdesdk13)kde-meta-kdetoys 14)kde-meta-kdeutils 15)kde-meta-kdewebdev16)kde-wallpapers
    其中有需要装的为 2 4 7 8 10 12 14 15。1为KDE残障人士辅助工具,3和16为为KDE额外主题及壁纸,6和13为游戏,9为一些用不到的网络工具,11为桌面附加组件,没有必要完全安装。

  • KDE的kdeplasma-addons和kdenetwork包组中有几个实用组件可以单独安装(不必安装整个包组):
    # pacman -S kdeplasma-addons-applets-icontasks //图标人物管理器
    # pacman -S kdeplasma-addons-applets-lancelot //lancelot启动器
    # pacman -S kdenetwork-kget //kget下载管理器

  • 不知什么原因,我这里KDE的安装包暂时无法安装,总是报错。所以试着装gnome
    # pacman -S gnome gnome-extra //gnome,gnome-extra包组可以不安装完全,只需安装其中必要的工具即可,gnome桌面环境推荐使用gstreamer作为解码器后端

  • 安装gnome-extra包组后默认会安装许多用不到的游戏,可以卸载的游戏程序列表:
    批量卸载无用游戏:
    # pacman -Rscn gnome-mahjongg gnome-sudoku lightsoff tali swell-foop gnome-nibbles four-in-a-row gnome-tetravex five-or-more gnome-klotski iagno gnome-chess quadrapassel gnome-mines gnome-robots aisleriot
    gnome包组中,有几个用不到的包:
    epiphany //gnome桌面环境默认的浏览器,不过无论功能性能都是极差的存在
    totem //gnome自带的视屏播放器,对冷门格式的支持欠佳,使用gnome-mplayer替代
    empathy //gnome自带的聊天工具,界面很fashion可惜对lwqq的支持不够好,出个验证码都会无限弹窗导致系统卡死,使用pidgin替代
    gnome-dictionary // gnome自带的字典工具,只是没有好的词库支持,使用stardict替代

  • gnome-extra包组中,同样有许多用不到的包:
    accerciser //阅读辅助工具,残障人士专用
    bijiben //笔记本软件
    brasero //CD烧录软件
    gnome-logs //gnome日志软件
    orca //残障人士的屏幕阅读器
    gnome-documents //一个基本无用的文档管理器
    gnome-extra包组中,准确的说,只需要安装几个用的到的就够了:
    anjuta //gnome开发用的IDE
    cheese // 茄子大头贴,聊天工具必备摄像头组件
    devhelp //gnome开发者文档浏览器
    gnome-devel-docs //gnome开发者文档
    evolution //gnome邮件软件
    gedit //gnome文本编辑器
    gnome-color-manager//gnome色彩管理器
    gnome-nettool //gnome网络工具
    file-rolle // gnome归档管理器
    seahorse //保存程序的PGP密钥
    vinagre //gnome桌面的远程控制服务

  • 默认情况下,挂载Windows分区读写,需要安装:
    # pacman -S ntfs-3g //让nautilus和dolphin能够正常读写挂载的Windows分区

  • 安装图形界面之后,可能无法直接启动,需要配置以下文件:
    /etc/X11/xinit/xinitrc
    ~/.xinitrc
    在文件内容中添加启动桌面指定环境的语句:exec startkde (以kde桌面环境为例)
    如果是gnome桌面环境,则添加语句:exec gnome-session
    如果是xfce4:
    1、安装 slim
    2、拷贝 /etc/xdg/xinitrc 到 ~/.xinitrc
    3、systemctl enable slim; systemctl start slim

  • 使ArchLinux可以开机后自动执行图形界面:
    # systemctl enable kdm.service //使用KDM作为登陆器
    # systemctl enable gdm.service

  • 安装完KDE桌面环境后需要安装中文语言包(可能会出现中文汉化不完全的问题),修改编码:
    # vim /etc/locale.gen //去掉/etc/locale.gen文件内中文编码zh_CN.UTF-8前的#号注释,为系统添加中文编码支持
    # echo "export LANG=zh_CN.UTF-8" > /etc/locale.conf
    # locale-gen //使中文编码生效

  • 使用KDE桌面环境时,默认是不会在家目录下生成用户文件夹的,故需要安装xdg工具:
    # pacman -S xdg-user-dirs
    使用以下命令首次生成用户文件夹:
    $ xdg-user-dirs-update
    如果不慎删除了某个默认用户文件夹,使用如下命令强制重新生成家目录文件夹:
    $ xdg-user-dirs-update --force
    实测没什么卵用

  • 在KDE桌面环境下的默认gtk程序惨不忍睹,安装KDE下的gtk配置以及gtk主题:
    # pacman -S kde-gtk-config oxygen-gtk2 oxygen-gtk3

  • 在KDE桌面环境中,推荐从AUR中安装全局菜单组件和bespin界面风格:
    $ yaourt -S kdeplasma-applets-menubar bespin-svn

  • 安装KDE桌面环境的配套音乐播放器Amarok:
    # pacman -S amarok# pacman -S gstreamer0.10-base-plugins gstreamer0.10-bad-plugins gstreamer0.10-good-plugins gstreamer0.10-ugly-plugins gstreamer0.10-ffmpeg //如果后端采用gstreamer解码器,必须安装gs解码器才能播放ape等格式,推荐使用vlc解码器作为后端,可省去安装此解码器的过程(gstreamer0.10-ffmpeg必须要装,否则播放ape格式没有声音!)

  • 设置完时区之后,默认是无法使用网络同步时间的,需要安装ntp服务:
    # pacman -S ntp
    # ntpdate 0.uk.pool.ntp.org

  • 安装yaourt,在/etc/pacman.conf中添加软件仓库:
    [archlinuxfr] //这里千万别写错,我找了一下午错。
    SigLevel = Optional TrustAll
    Server = http://repo.ArchLinux.fr/$arch
    然后命令行中安装:
    # pacman -Sy yaourt
    使用yaourt来更新所有系统中的包:
    $ yaourt -Syua

  • ArchLinux中pacman的图形化前端:
    KDE桌面环境中推荐使用apper
    # pacman -S apper
    gnome桌面环境中推荐使用packagekit
    # pacman -S gnome-packagekit

  • 安装firefox火狐浏览器:
    # pacman -S firefox firefox-i18n-zh-cn //安装- - 浏览器的同时安装中文汉化包
    安装fcitx输入法作为中文输入法:
    # pacman -S fcitx-im
    为保证fcitx能够正常在各个环境中使用,安装:
    # pacman -S fcitx-qt5
    推荐使用AUR里的搜狗拼音输入法:
    # yaourt -S fcitx-sogoupinyin

  • 安装图形配置工具
    如果是KDE环境下,需要安装图形配置工具:
    # pacman -S kcm-fcitx
    gnome桌面环境下,安装图形配置工具:
    # pacman -S fcitx-configtool
    如果使用登陆器(KDM,GDM等)则需家目录下创建.xprofile文件写入以下配置:
    export GTK_IM_MODULE=fcitxexport QT_IM_MODULE=fcitxexport XMODIFIERS="@im=fcitx" //让fcitx成为默认输入法
    如果使用startx启动图形环境,则将该配置写入.xinitrc文件中。

  • 在gnome桌面环境下,对ibus输入法的支持更好:
    # pacman -S ibus# pacman -S ibus-anthy ibus-libpinyin //安装日语と中文输入法,实测中文输入法中googlepinyin以及sunpinyin等老牌输入法对新界面的ibus支持欠佳
    ibus在ArchLinux中有bug,无法保存配置,执行以下命令后可以恢复正常:
    # dconf update //更新dconf配置$ ibus-daemon -rdx //重启ibus

  • 如果使用gnome桌面环境,建议安装telepathy包组,否则无法使用在线账户功能:
    # pacman -S telepathy

常用软件安装

  • 安装办公套件:
    在KDE桌面环境中,通常使用calligra办公套件:
    # pacman -S calligra
    在gnome桌面环境中,通常使用libreoffice办公套件:
    # pacman -S libreoffice //不推荐在gnome桌面环境下安装libreoffcie-kde4这个包,会带来无关的kde依赖!
  • 安装下载工具:
    常用的BT下载工具为transmission:
    # pacman -S transmission-gtk //gnome及xfce等使用gtk图形库的桌面环境安装gtk版本# pacman -S transmission-qt //KDE桌面环境安装qt版本# pacman -S transmission-cli //未安装桌面环境时使用命令行版本# pacman -S ktorrent //ktorrent BT下载工具
    aria2是命令行下的常用的下载工具,能够支持 HTTP,FTP,BitTorrent,Metalink等多种协议:
    # pacman -S aria2 //常用命令格式为aria2c [OPTIONS] [URL | MAGNET | TORRENT_FILE | METALINK_FILE]
  • 安装AUR源里的wps:
    安装wps相对于别的平台要麻烦一些,由于wps是32位的程序,在64的ArchLinux中安装wps需要开启multilib源,去掉/etc/pacman.conf文件中关于multilib源里的注释。然后用yaourt搜索wps并完成安装。
  • 安装虚拟机VirtualBox:
    # pacman -S virtualbox virtualbox-host-dkms virtualbox-host-modules
    虚拟机启动后如果提示错误,需要命令行中执行:
    # modprobe vboxdrv
  • 在gnome桌面环境中,默认没有安装qt,而virtualbox是qt程序,需要安装qt4:
    # pacman -S qt4
  • ArchLinux源中的Netbeans非常给力,默认中文,可以放弃从官方下载安装的方式:
    # pacman -S netbeans
    # pacman -S php groovy //将netbeans的依赖开发环境一起安装
    # pacman -S junit //安装java单元测试工具JUnit注意:在pacman源中安装的Netbeans无法在普通用户下调用源中安装的tomcat(权限不足,不建议使用root账户进行开发工作!),所以如果进行JavaWeb开发仍需要从Netbeans官网下载安装。
  • 配置OpenGL开发环境时需要安装mesa相关包(通常在安装桌面环境时已经随依赖安装),以及freeglut包。
    # pacman -S freeglut
  • 最后安装主流的开发工具和开发环境:
    # pacman -S base-devel vim-plugins apache nginx mariadb clang go gcc gdb gdc nasm yasm perl php python python2 js nodejs mono tomcat6 tomcat7 tomcat8 groovy
  • 安装开发环境的对应的文档:
    # pacman -S linux-docs openjdk7-doc qt5-doc gcc-docs groovy-docs php-docs python-docs

推荐阅读更多精彩内容